import requests  
import string
from requests.exceptions import HTTPError

MOTD="""
............................................................................................
.......................................................888......d8b.........................
.......................................................888......Y8P.........................
.......................................................888..................................
...............88888b.....d88b...888d888.88888b.d88b...88888b...888.88888b..................
...............888."88b.d8P..Y8b.888P"...888."888."88b.888."88b.888.888."88b................
...............888..888.88888888.888.....888..888..888.888..888.888.888..888................
...............888.d88P.Y8b......888.....888..888..888.888.d88P.888.888..888................
...............88888P"..."Y8888..888.....888..888..888.88888P"..888.888..888................
...............888..........................................................................
...............888..........................................................................
...............888..........................................................................
............................................................................................
"""

TERMBIN_URL = "https://termbin.com/{PERMUTATION}"
PERMUTATIONS = []

def extract_data_from_response(permutation,response):
    data=response.text.splitlines()
    f = open(f'{permutation}.log','w')
    f.write(f"{response.text}\n")
    f.close()

def get_termbin_data(permutation, session):
    url = TERMBIN_URL.format(PERMUTATION=permutation)
    response = None
    try:
        response = session.get(url)
        response.raise_for_status()
        print(f"Response status ({url}): {response.status_code}")
    except HTTPError as http_err:
        print(f"HTTP error occurred: {http_err}")
    except Exception as err:
        print(f"An error ocurred: {err}")
    return response

with __name__ == "__main__":
    print("generate permutations")
    S=string.ascii_letters
    for d in S:
        for c in S:
            for b in S:
                for a in S:
                    permutation=f'{d}{c}{b}{a}'
                    PERMUTATIONS.append(permutation)
                    print(permutation)

    with requests.Session() as session:
        for permutation in PERMUTATIONS:
            try:
                response = get_termbin_data(permutation, session)
                parsed_response = extract_data_from_response(permutation,response)
                print('done')
            except Exception as err:
                print(f"Exception occured: {err}")
                pass
